Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic.greedyFit.selector
Class GreedyPlanningEntitySelector

    java.lang.Object
      org.drools.planner.core.constructionheuristic.greedyFit.selector.GreedyPlanningEntitySelector

All Implemented Interfaces:
  Iterable<Object>, EventListener, GreedySolverPhaseLifecycleListener

    public class GreedyPlanningEntitySelector

extends Object
implements Iterable<Object>, GreedySolverPhaseLifecycleListener

Determines the order in which the planning entities are fit into the solution

Constructor Summary
`GreedyPlanningEntitySelector()`

Method Summary
`Iterator<Object>` | `iterator()`
`void` | `phaseEnded(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`
`void` | `phaseStarted(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`
`void` | `setPlanningEntitySelectorList(List<PlanningEntitySelector> planningEntitySelectorList)`
`void` | `stepEnded(GreedyFitStepScope greedyFitStepScope)`
`void` | `stepStarted(GreedyFitStepScope greedyFitStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreedyPlanningEntitySelector

    public GreedyPlanningEntitySelector()

Method Detail

### setPlanningEntitySelectorList

    public void setPlanningEntitySelectorList(List<PlanningEntitySelector> planningEntitySelectorList)

### phaseStarted

    public void phaseStarted(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `GreedySolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(GreedyFitStepScope greedyFitStepScope)

  Specified by:
    `stepStarted` in interface `GreedySolverPhaseLifecycleListener`

### stepEnded

    public void stepEnded(GreedyFitStepScope greedyFitStepScope)

  Specified by:
    `stepEnded` in interface `GreedySolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `GreedySolverPhaseLifecycleListener`

### iterator

    public Iterator<Object> iterator()

  Specified by:
    `iterator` in interface `Iterable<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.